using System;
using System.Collections.Generic;
using System.Web;
using Eloquera.Client;

namespace digioz
{
    public class Visitor
    {
        private int ciId;
        private DateTime coDate;
        private string csIp;
        private string csCountry;
        private string csBrowser;
        private string csOS;

        public Visitor()
        { }

        [Index]
        public int ID
        {
            get { return ciId; }
            set { ciId = value; }
        }

        public DateTime Date
        {
            get { return coDate; }
            set { coDate = value; }
        }

        public string IP
        {
            get { return csIp; }
            set { csIp = value; }
        }

        public string Country
        {
            get { return csCountry; }
            set { csCountry = value; }
        }

        public string Browser
        {
            get { return csBrowser; }
            set { csBrowser = value; }
        }

        public string OS
        {
            get { return csOS; }
            set { csOS = value; }
        }
    }
}